Install KVM Server:
  pkg.installed:
    - name: pattern:kvm_server
    - includes: [pattern]

Install KVM Tools:
  pkg.installed:
    - name: pattern:kvm_tools
    - includes: [pattern]

Start libvirtd:
  service.running:
    - name: libvirtd
    - enable: True
          
Disable netfilter on network bridge:
  file.managed:
    - name: /etc/sysctl.d/netfilter.conf
    - source: salt://kvm/files/netfilter.conf
    - user: root
    - group: root
    - mode: "0644"

Reload systctl for br_netfilter:
  cmd.run:
    - name: sysctl -p /etc/sysctl.d/netfilter.conf
    - onchanges:
      - file: Disable netfilter on network bridge
